MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031985Open CASCADE[OCCT] OCCT:Documentationpublic2020-12-06 07:462020-12-12 13:46
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031985: Documentation - description of TDocStd_FormatVersion is excessive
DescriptionDescription of TDocStd_FormatVersion integrated within 0029217 is excessive, see attached image. Please consider removing irrelevant parts of text, such as questions "Does it mean that an application based on an old version of Open CASCADE Technology cannot read an OCAF document saved by an application using a newer version of Open CASCADE Technology?". Please keep only the information necessary for the OCCT user to recognize what are the format version numbers and how to trigger them as needed for his application.

If it was intended to give also indication on how to add new version numbers, this needs to be clearly separated, and formulated as list of requirements / conventions, not as an example.
Steps To ReproduceCould you review the updated documentation, please?:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31985-master-VRO/view/COMPARE/ [^]

Branch: CR31985
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon TDocStd_FormatVersion.png (180,933 bytes) 2020-12-06 07:46

- Relationships
child of 0029217verifiedbugmaster Application Framework - undocumented API method XmlLDrivers::SetStorageVersion() 

-  Notes
(0097439)
git (administrator)
2020-12-09 12:08

Branch CR31985 has been created by vro.

SHA-1: c826c131d03d9ebed8e41e3f052123cc0f2c1c74


Detailed log of new commits:

Author: Vlad Romashko
Date: Wed Dec 9 12:08:40 2020 +0300

    0031985: Documentation - description of TDocStd_FormatVersion is excessive
    
    // No compilation, no testing is needed. Just a comment to the file is improved.
(0097501)
git (administrator)
2020-12-11 17:33

Branch CR31985 has been updated forcibly by abv.

SHA-1: 2247178f42e416ee6a445939789172a06f53cc84
(0097502)
abv (manager)
2020-12-11 17:34

Reviewed with minor amendments (formatting), please integrate.
OCCT branch CR31985
(0097524)
bugmaster (administrator)
2020-12-12 12:56

Combination -
OCCT branch : IR-2020-12-11
master SHA - a25d5aaa30ec81c1fb94a9a394b8afa740611203
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-11 SHA - 32a7f74b10f27f9251808f20fdfe1444ff30c60b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17756.510000000126 / 18090.92999999998 [-1.85%]
Products
Total CPU difference: 12330.210000000125 / 12342.950000000128 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 19429.09375 / 19751.71875 [-1.63%]
Products
Total CPU difference: 13755.5 / 13772.515625 [-0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097531)
git (administrator)
2020-12-12 13:46

Branch CR31985 has been deleted by inv.

SHA-1: 2247178f42e416ee6a445939789172a06f53cc84

- Related Changesets
occt: master 65cec1a6
Timestamp: 2020-12-09 09:08:40
Author: vro
Committer: bugmaster
Details ] Diff ]
0031985: Documentation - description of TDocStd_FormatVersion is excessive

Description of TDocStd_FormatVersion enum is simplified and formatting for good rendering in HTML
mod - src/TDocStd/TDocStd_FormatVersion.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-06 07:46 abv New Issue
2020-12-06 07:46 abv Assigned To => vro
2020-12-06 07:46 abv File Added: TDocStd_FormatVersion.png
2020-12-06 07:56 abv Description Updated View Revisions
2020-12-06 10:30 kgv Relationship added child of 0029217
2020-12-06 10:30 kgv Product Version => 7.6.0*
2020-12-09 12:08 git Note Added: 0097439
2020-12-09 19:48 vro Assigned To vro => abv
2020-12-09 19:48 vro Status new => resolved
2020-12-09 19:48 vro Steps to Reproduce Updated View Revisions
2020-12-11 17:33 git Note Added: 0097501
2020-12-11 17:34 abv Note Added: 0097502
2020-12-11 17:34 abv Assigned To abv => bugmaster
2020-12-11 17:34 abv Status resolved => reviewed
2020-12-12 12:56 bugmaster Note Added: 0097524
2020-12-12 12:56 bugmaster Status reviewed => tested
2020-12-12 13:06 bugmaster Test case number => Not required
2020-12-12 13:13 bugmaster Changeset attached => occt master 65cec1a6
2020-12-12 13:13 bugmaster Status tested => verified
2020-12-12 13:13 bugmaster Resolution open => fixed
2020-12-12 13:46 git Note Added: 0097531


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker